---
updatedAt: 2026-05-12T09:57:26.000Z
---

# Retrieve appliance collection

This operation returns an object containing information about appliances based on query parameters.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Appliance API (Legacy)",
    "license": {
      "name": "(c) Copyright 2020 WhiteHat Security"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com"
    }
  ],
  "paths": {
    "/api/appliance": {
      "get": {
        "tags": [
          "Appliance API v1.0"
        ],
        "summary": "Retrieve appliance collection",
        "description": "This operation returns an object containing information about appliances based on query parameters.",
        "operationId": "getApplianceCollection",
        "parameters": [
          {
            "name": "query_label",
            "in": "query",
            "description": "Retrieves any appliances that exactly match the given appliance label. Case-sensitive.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "query_type",
            "in": "query",
            "description": "Retrieves appliances that match the given appliance type.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "sast",
              "example": "sast",
              "enum": [
                "sast",
                "dast"
              ]
            }
          },
          {
            "name": "query_status",
            "in": "query",
            "description": "Retrieves appliances based on status given.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "enum": [
                "connected",
                "disconnected"
              ]
            }
          },
          {
            "name": "format",
            "in": "query",
            "description": "Choose format for results.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "xml",
              "example": "json",
              "enum": [
                "json",
                "xml",
                "csv"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Provides information of appliances based on query parameters.",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Appliances"
                }
              },
              "application/xml": {
                "example": "XML preview is currently not supported."
              },
              "text/csv, text/comma-separated-values": {
                "schema": {
                  "type": "string",
                  "description": "Column headers for data that may be returned using this format.",
                  "example": "id,appliance_name,client,cloud_request_progress,label,last_connected_t,migration_status_value,parent_appliance_id,satellite_id,status,type"
                }
              }
            }
          },
          "400": {
            "description": "BadRequestResponse indicates a request with invalid parameters.",
            "content": {}
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access.",
            "content": {}
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized.",
            "content": {}
          },
          "500": {
            "description": "GenericError generic error.",
            "content": {}
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "VM": {
        "properties": {
          "md5sig": {
            "type": "string"
          },
          "filename": {
            "type": "string"
          },
          "href": {
            "type": "string"
          },
          "size": {
            "type": "number"
          }
        }
      },
      "Appliance": {
        "type": "object",
        "properties": {
          "id": {
            "type": "number"
          },
          "hardware_shipped": {
            "type": "boolean"
          },
          "client": {
            "type": "number"
          },
          "type": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "appliance_name": {
            "type": "string"
          },
          "satellite_id": {
            "type": "number"
          },
          "hardware": {
            "type": "boolean"
          },
          "label": {
            "type": "string"
          },
          "cloud_request_progress": {
            "type": "number",
            "nullable": true
          },
          "last_connected_t": {
            "type": "string",
            "nullable": true
          },
          "migration_status_value": {
            "type": "string",
            "nullable": true
          },
          "parent_appliance_id": {
            "type": "string",
            "nullable": true
          },
          "vm": {
            "$ref": "#/components/schemas/VM"
          }
        }
      },
      "Appliances": {
        "properties": {
          "collection": {
            "items": {
              "$ref": "#/components/schemas/Appliance"
            }
          },
          "type": {
            "type": "string"
          },
          "href": {
            "type": "string"
          }
        }
      }
    }
  },
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```